Subject: [PATCH v2] ASoC: omap: convert per-board modules to platform drivers

From: [email-masked] (Mark Brown)
Date: Fri, 9 Sep 2011 12:30:11 -0700

On Fri, Sep 09, 2011 at 08:01:35PM +0100, Russell King - ARM Linux wrote:

> Well, with DT, there won't be any 'board type' anymore.  There won't be
> any 'machine_is_xxx()' to sort it out anymore.  Using DT, all that will
> be history - it's all got to be sorted out by either devices or device
> properties.

There is a board type - there's a root compatible property for the board
which fulfils this purpose - so the situation with and without device
tree is essentially the same.